// Завдання
// Реалізувати функцію, яка виконуватиме математичні операції з введеними користувачем числами. 
// Технічні вимоги:
// Отримати за допомогою модального вікна браузера два числа.
// Отримати за допомогою модального вікна браузера математичну операцію, яку потрібно виконати. Сюди може бути введено +, -, *, /.
// Створити функцію, в яку передати два значення та операцію.
// Вивести у консоль результат виконання функції.

// Необов'язкове завдання підвищеної складності:
// Після введення даних додати перевірку їхньої коректності. 
//Якщо користувач не ввів числа, або при вводі вказав не числа, - запитати обидва числа знову 
//(при цьому значенням за замовчуванням для кожної зі змінних має бути введена інформація раніше).


//Варіант 1
function calculator1(num1, num2, operator) {
    switch (operator) {
        case '+':
            return (num1 + num2);
        case '*':
            return (num1 * num2);   
        case '/':
            return  (num1 / num2);   
        case '-':
            return  (num1 - num2);   
    } 
}

//Варіант 2
function calculator2(num1, num2, operator) {
      if (operator === '+') {
        return (num1 + num2);
      } else if(operator === '*') {
        return (num1 * num2); 
      } else if(operator === '/') {
        return (num1 / num2); 
      } else if(operator === '-') {
        return (num1 - num2);  
      } 
    } 

let num1 = +prompt('Введіть число №1');
    while (!num1 || Number.isNaN(num1)) {
    num1 = +prompt('Ви ввели не число або не ввели потрібної інформації. Введіть число №1', num1);
}
let num2 = +prompt('Введіть число №2');
    while (!num2 || Number.isNaN(num2)) {
    num1 = +prompt('Ви ввели не чесло або не ввели потрібної інформації. Введіть число №1', num2);
}

let operator = prompt('Введіть математичну операцію.Сюди може бути введено +, -, *, /.')
    while (operator !== '+' && operator !== '*' && operator !== '-' && operator !== '/') {
    operator = prompt('Такої математичної операції неіснує.Сюди може бути введено +, -, *, /.', operator)
}

console.log(calculator1(num1, num2, operator));
console.log(calculator2(num1, num2, operator));